<div class="base-body">
  <div class="body">
    <nav class="formulario">
      <header class="header">
        Simulação seguro prestamista
      </header>
      <div class="col-sm-6 mt-2">
        <div id="simulacaoERROR" *ngIf="teste == false" class="alert alert-danger fa fa-warning">
          ERRO! {{error}}
        </div>
        <div id="simulacaoTRUE" *ngIf="teste == true" class="alert alert-success fa fa-sucess">
          Tudo Certo! Simulação concluída com sucesso!
        </div>
      </div>
      <form  #f="ngForm" (ngSubmit)="submitSimulacao(f.value)">
        <div class="forms-group">
          <div class="form-group">
            <div class="col-sm-6">
              <div>Nome: </div>
              <input type="text" [(ngModel)]="simulacao.nomePessoa" placeholder="Nome"
                     name="nomePessoa" class="form-control"
                     required>
            </div>
            <div class="col-sm-3"></div>
          </div>

          <div class="form-group">
            <div class="col-md-6">
              <div>CPF: </div>
              <input   type="text"
                     [(ngModel)]="simulacao.cpf"
                     placeholder="CPF" name="cpf" mask="000.000.000-00"  class="form-control" required>
            </div>
            <div class="col-sm-3"></div>
          </div>

          <div class="form-group">
            <div class="col-sm-6">
              <div>Valor Segurado: </div>
              <input type="text" [(ngModel)]="simulacao.valorSegurado"
                     placeholder="Valor Segurado" prefix="R$" mask="separator.2" name="valorSegurado" class="form-control" required
              >
            </div>
            <div class="col-sm-3"></div>
          </div>

          <div class="form-group">
            <div class="col-sm-6">
              <div>N° Contrato Empréstimo:</div>
              <input type="number" [(ngModel)]="simulacao.numeroContratoEmprestimo"
                     placeholder="Numero do contrado de empréstimo"
                     class="form-control" name="numeroContratoEmprestimo" required
              >
            </div>
            <div class="col-sm-3"></div>
          </div>

          <div class="form-group">
            <div class="col-sm-6">
              <div>Data de nascimento:</div>
              <input type="date" [(ngModel)]="simulacao.dataNascimento" placeholder="Data de Nascimento*"
                     name="dataNascimento" class="form-control" required
                     >
            </div>
            <div class="col-sm-3"></div>
          </div>

          <div class="form-group">
            <div class="col-sm-6">
              <div>Data final do contrato de empréstimo: </div>
              <input type="date" [(ngModel)]="simulacao.fimContratoEmprestimo"
                     placeholder="Data do fim do Contrato do empréstimo"
                     name="fimContratoEmprestimo" class="form-control" required
              >
            </div>
            <div class="col-sm-3"></div>
          </div>
          <div class="button-group">
            <button type="submit" [disabled]="!f.valid" class="botao-gerar btn btn-primary" >Gerar Simulação</button>
            <button routerLink="/simulacoes" class="botao btn btn-dark" >Ver Simulações</button>
          </div>
          <div>
          </div>
        </div>
      </form>
    </nav>
    <nav class="body2"  >
      <div class="conclusao" *ngIf="teste == true" id="simulacaoOK">
        <header class="header">
          Conclusão da Simulação
        </header>
        <div class="produtos" >
          <span class="mr-4">Valor Total do Prêmio: </span><input type="text" prefix="R$"  [value]="valorPremio"  disabled><br><br>
          <span class="mr-5">Produto Escolhido: </span><input type="text" [value]="produtoEscolhido"  disabled>
        </div>
      </div>
    </nav>
  </div>
</div>
